TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get masterchain info

GET
/api/v3/masterchainInfo

Return the first and last indexed blocks.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/masterchainInfo"
{  "first": {    "after_merge": true,    "after_split": true,    "before_split": true,    "created_by": "string",    "end_lt": "0",    "file_hash": "string",    "flags": 0,    "gen_catchain_seqno": 0,    "gen_utime": "0",    "global_id": 0,    "key_block": true,    "master_ref_seqno": 0,    "masterchain_block_ref": {      "seqno": 0,      "shard": "0",      "workchain": 0    },    "min_ref_mc_seqno": 0,    "prev_blocks": [      {        "seqno": 0,        "shard": "0",        "workchain": 0      }    ],    "prev_key_block_seqno": 0,    "rand_seed": "string",    "root_hash": "string",    "seqno": 0,    "shard": "0",    "start_lt": "0",    "tx_count": 0,    "validator_list_hash_short": 0,    "version": 0,    "vert_seqno": 0,    "vert_seqno_incr": true,    "want_merge": true,    "want_split": true,    "workchain": 0  },  "last": {    "after_merge": true,    "after_split": true,    "before_split": true,    "created_by": "string",    "end_lt": "0",    "file_hash": "string",    "flags": 0,    "gen_catchain_seqno": 0,    "gen_utime": "0",    "global_id": 0,    "key_block": true,    "master_ref_seqno": 0,    "masterchain_block_ref": {      "seqno": 0,      "shard": "0",      "workchain": 0    },    "min_ref_mc_seqno": 0,    "prev_blocks": [      {        "seqno": 0,        "shard": "0",        "workchain": 0      }    ],    "prev_key_block_seqno": 0,    "rand_seed": "string",    "root_hash": "string",    "seqno": 0,    "shard": "0",    "start_lt": "0",    "tx_count": 0,    "validator_list_hash_short": 0,    "version": 0,    "vert_seqno": 0,    "vert_seqno_incr": true,    "want_merge": true,    "want_split": true,    "workchain": 0  }}